#ifndef SAMPLE_H
#define SAMPLE_H
#include <stdio.h>
#include "simtree.h"
#include "prior.h"

typedef struct simmodeltype {
    int *ss,nSTR,npops,n,seed,infsites,replicates;
    int migmodel,sizemodel;
	prior muprior,Nprior,alphaprior,betaprior,kappaprior,splitprior;
    double theta,splittime,*splitprop,sizepars[4],R,Rtime,inftheta,height;
} simmodel;

simmodel readsimmodel(char *file);
void write_Newicksimtree(FILE *output, simnode *root,
				  int migmodel,int nloci,int ninf);
double calc_simlength(simnode *anynode);
void setuphaplotypes(simnode *sample,int ss, int ninf, int nSTR);
void write_Newickpoptree(popnode *root, FILE *out);

void getvalues(double prs[7], simmodel *m);
#endif
